Dragonframe stop motion software
Buy Dragonframe stop motion softwareFree Dragonframe Trial

 

Dragonframe stop motion software on Linux

We currently have Dragonframe 4 (very early version) running on 64-bit Ubuntu 12.04 and newer.

Compatible Distros

We are currently developing on 64-bit (AMD64) Ubuntu 12.04 LTS.
This means that most 64-bit Ubuntu-based distros from the last few years should work:

  • Ubuntu 12.04 LTS
  • Ubuntu 14.04 LTS
  • Linux Mint 13+
  • Many others

Early Access

At this point we have enough beta testers for our Linux version, and it is fully functional.
If you would like to use Dragonframe on Linux, you can buy a full Dragonframe 3 license and then request a DF4 license for Linux. Send your DF3 license in an email request to [email protected]

Screenshots

Dragonframe on Ubuntu 12.04 Dragonframe on Ubuntu 12.04 Dragonframe on Ubuntu 12.04
             
Our Products
 
our company
 
help and support
 
Stay Connected
     
           
DZED Systems LLC Logo